Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/19080/?format=api
{ "ob_id": 19080, "uuid": "4085fb1895ba40eba34beb5ecaae5697", "title": "CAST: Ozonesonde measurments", "abstract": "The CAST dataset contains data produced by the NERC Co-ordinated Airborne Studies in the Tropics (CAST) project. CAST was a collaborative initiative with NASA's Airborne Tropical Tropopause Experiment (ATTREX) programme to study the Tropical Tropopause Layer (TTL) over the Pacific Ocean and South East Asia.\r\n\r\nThis dataset contains measurements of temperature, humidity, wind and ozone. ", "keywords": "CAST, temperature, humidity, wind, ozone", "publicationState": "published", "dataPublishedTime": "2014-01-13T15:49:04", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/19081/?format=api", "dataPath": "/badc/cast/data/ozonesondes/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 9355740, "numberOfFiles": 40, "fileFormat": "Data are NASA Ames formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/4033/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1588/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25886/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55158/?format=api" ], "dataLineage": "Data were collected by instrument scientists before preparation and delivery for archiving at the NCAS British Atmospheric Data Centre.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/11989/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7212/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71833/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71834/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71835/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71831/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71836/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71837/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71839/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71830/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/19083/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }